#!/usr/bin/ruby
# -*- coding: utf-8 -*-

#------ 入院登録


require 'uri'
require 'net/http'

Net::HTTP.version_1_2

HOST = "localhost"
PORT = "8000"
USER = "ormaster"
PASSWD = "ormaster"
CONTENT_TYPE = "application/xml"

req = Net::HTTP::Post.new("/orca31/hsptinfmodv2")
BODY = <<EOF
<data>
    <private_objects type="record">
        <Save_Request type="string"></Save_Request>
        <Request_Number type="string">01</Request_Number>
        <Patient_ID type="string">1</Patient_ID>
        <Admission_Date type="string">2014-05-01</Admission_Date>
        <Ward_Number type="string">01</Ward_Number>
        <Room_Number type="string">101</Room_Number>
        <Room_Charge type="string">1000</Room_Charge>
        <Over180days_Hospital_Stay type="string"></Over180days_Hospital_Stay>
        <Department_Code type="string">01</Department_Code>
        <Last_Admission_Date type="string"></Last_Admission_Date>
        <Doctor_Code type="array">
            <Doctor_Code_child type="string">10001</Doctor_Code_child>
        </Doctor_Code>
        <HealthInsurance_Information type="record">
            <InsuranceProvider_Class type="string">060</InsuranceProvider_Class>
            <InsuranceProvider_Number type="string"></InsuranceProvider_Number>
            <InsuranceProvider_WholeName type="string"></InsuranceProvider_WholeName>
            <PublicInsurance_Information type="array">
                <PublicInsurance_Class type="string"></PublicInsurance_Class>
                <PublicInsurance_Name type="string"></PublicInsurance_Name>
                <PublicInsurer_Number type="string"></PublicInsurer_Number>
                <PublicInsuredPerson_Number type="string"></PublicInsuredPerson_Number>
            </PublicInsurance_Information>
        </HealthInsurance_Information>
        <Hospital_Charge type="string">190799410</Hospital_Charge>
        <Recurring_Billing type="string">1</Recurring_Billing>
    </private_objects>
</data>
EOF

req.content_length = BODY.size
req.content_type = CONTENT_TYPE
req.body = BODY
req.basic_auth(USER, PASSWD)
  puts req.body

Net::HTTP.start(HOST, PORT) {|http|
  res = http.request(req)
  puts res.body
}

